Subject: Re: bug#37604: man page description of -i confused someone

From: Stephane Chazelas <[email-masked]>
Date: Fri, 4 Oct 2019 10:14:47 +0100

2019-10-03 09:08:59 -0400, Tom Limoncelli:
[...]
>        *-i*, *--ignore-case*
> 
>               Ignore case distinctions in both the PATTERN and the input
> 
>               files.
> 
> 
> Taking off my developer hat and putting on my writer/author hat, I have to
> agree that the man page could be phrased better.  I think the person got
> caught up by seeing the word "files" instead of "contents". (I could also
> make the case that the fact that stdin isn't really a file means the
> sentence is inaccurate.)
[...]

While it's obvious when you know how shell glob expansion works that

grep -ie pattern -- *.txt

won't match pattern against the contents of foo.TXT (unless you
enable the "nocaseglob" option of some shells), it's less clear
in

grep -i -r --include='*.txt' pattern .

I would have just written:

    Ignore case distinctions in the PATTERN and the input

-- 
Stephane